Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authorization
Class AuditRoleEventImpl

    java.lang.Object
      |
      +--weblogic.security.providers.authorization.AuditBaseEventImpl
            |
            +--weblogic.security.providers.authorization.AuditRoleEventImpl

public class AuditRoleEventImpl
extends weblogic.security.providers.authorization.AuditBaseEventImpl

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `DEPLOY_EVENT`
`static java.lang.String` | `UNDEPLOY_EVENT`
`static java.lang.String` | `UPDATE_EVENT`

Constructor Summary
`AuditRoleEventImpl(AuditSeverity severity, java.lang.String eventType, java.lang.String resourceId, java.lang.String roleName)`
`AuditRoleEventImpl(AuditSeverity severity, java.lang.String eventType, java.lang.String resourceId, java.lang.String roleName, java.lang.String policy)`

Method Summary
`protected void` | `writeAttributes(java.lang.StringBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEPLOY_EVENT

    public static final java.lang.String DEPLOY_EVENT

### UNDEPLOY_EVENT

    public static final java.lang.String UNDEPLOY_EVENT

### UPDATE_EVENT

    public static final java.lang.String UPDATE_EVENT

Constructor Detail

### AuditRoleEventImpl

    public AuditRoleEventImpl(AuditSeverity severity,
                              java.lang.String eventType,
                              java.lang.String resourceId,
                              java.lang.String roleName)

### AuditRoleEventImpl

    public AuditRoleEventImpl(AuditSeverity severity,
                              java.lang.String eventType,
                              java.lang.String resourceId,
                              java.lang.String roleName,
                              java.lang.String policy)

Method Detail

### writeAttributes

    protected void writeAttributes(java.lang.StringBuffer buf)

  Overrides:
    writeAttributes in class weblogic.security.providers.authorization.AuditBaseEventImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference